#
# spec file for package sunwait
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sunwait
Version:        20220613
Release:        1.10
Summary:        Sunrise, sunset and twilight calculator
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Astronomy
URL:            https://github.com/risacher/sunwait
Source:         %{name}-%{version}.tar.xz
Patch0:         sunwait-no-rpm-opt-flags.patch
Patch1:         sunwait-fix-parentheses.patch
BuildRequires:  gcc-c++

%description
Sunwait is a small C program for calculating sunrise and sunset, as well as
civil, nautical, and astronomical twilights. It has features that make it
useful for home automation tasks.

%prep
%setup -q
%autopatch

%build
%make_build

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 sunwait %{buildroot}%{_bindir}

%files
%license LICENSE
%{_bindir}/sunwait

%changelog
* Thu Aug  4 2022 Jan Baier <jbaier@suse.com>
- update to version 20220613
  - ADD standard(ish) unixy command line flags
  - Fix unused variable warning during compile.
  - Document use of an arbitrary date specification
- add sunwait-fix-parentheses.patch
* Mon Feb  8 2021 Jan Baier <jbaier@suse.com>
- update to version 20201026
  - Fix error in print.cpp in displaying target time
* Mon Jan  6 2020 Jan Baier <jbaier@suse.com>
- update to version 20190322
  - sunwait-no-return-in-nonvoid-function.patch no longer needed
  - sunwait-implicit-declaration.patch no longer needed
* Thu Mar  7 2019 Jan Baier <jbaier@suse.com>
- add new package sunwait version 20041208
